class AddInfosToPProductBrutStocks < ActiveRecord::Migration[6.0]
  def change
    add_column :p_product_brut_stocks, :ok_at, :datetime
    add_column :p_product_brut_stocks, :ok_qte, :decimal, precision: 12, scale: 4
    add_column :p_product_brut_stocks, :ok_price, :decimal, precision: 12, scale: 4
    add_column :p_product_brut_stocks, :ok_price_abs, :decimal, precision: 12, scale: 4
    add_column :p_product_brut_stocks, :price_abs, :decimal, precision: 12, scale: 4
    add_column :p_product_brut_stocks, :ok, :boolean, :default => false
    add_column :p_product_brut_stocks, :qte_restant, :decimal, precision: 12, scale: 4, default: 0.0
    add_column :p_product_brut_stocks, :lock, :boolean, :default => false
    add_column :p_product_brut_stocks, :stock_type, :string
    add_column :p_product_brut_stocks, :externe, :boolean, :default => false
  end
end
